=== debian/control ===
Source: gocr
Section: graphics
Priority: optional
Maintainer: Cosimo Alfarano <kalfa@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.2
Homepage: http://jocr.sourceforge.net/
#Vcs-Git: git://git.debian.org/collab-maint/gocr.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/gocr.git;a=summary

Package: gocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libjpeg-progs, bzip2, netpbm, transfig
Description: Command line OCR
 gocr is a multi-platform OCR (Optical Character Recognition) program.
 .
 It can read pnm, pbm, pgm, ppm, some pcx and tga image files.
 .
 Currently the program should be able to handle well scans that have their text
 in one column and do not have tables. Font sizes of 20 to 60
 pixels are supported.
 .
 If you want to write your own OCR, libgocr is provided in a separate
 package. Documentation and graphical wrapper are provided in separated
 packages, too.

Package: gocr-tk
Architecture: all
Depends: gocr, tk8.5 | wish, ${misc:Depends}
Suggests: xsane
Description: tcl/tk wrapper around gocr
 gocr is a multi-platform OCR (Optical Character Recognition) program.
 .
 It can read pnm, pbm, pgm, ppm, some pcx and tga image files.
 .
 It is a tlc/tk GUI to gocr (a command line program).
