## gocr 0.52

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 #
 # -pedantic -ansi -Wall
 LDFLAGS = -lm 
-LIBS = -lnetpbm 
+LIBS = 
 
 # RANLIB = @RANLIB@
 # AR = @AR@
@@ -55,9 +55,10 @@
 # example file generation takes lot of memory and time, do it explicitely
 # by make examples
 all:	src Makefile
-	@echo " --- for help do: make help ---"
-	@echo " --- for documentation do: make doc ---"
-	@echo " --- for examples do: make examples ---"
+	@echo " --- for help do:          make help"
+	@echo " --- for documentation do: make doc"
+	@echo " --- for examples do:      make examples"
+	@echo " --- for testing do:       bin/gocr_chk.sh [testbasedir?=.]"
 
 include/config.h: include/config.h.in configure
 	./configure
@@ -65,11 +66,11 @@
 configure: configure.in
 	autoconf
 
-Makefile: Makefile.in configure
-	./configure
+src/Makefile Makefile: Makefile.in src/Makefile.in configure
+	./configure --with-debug
 
-src/Makefile: src/Makefile.in configure
-	./configure
+#src/Makefile: src/Makefile.in configure
+#	./configure
 
 src:	src/Makefile
 	$(MAKE) -C src all
@@ -122,11 +123,13 @@
 #  release is the date of the last modified src file (for bug reports)
 #  to distinguish different developper versions of same version number
 include/version.h: src/*.[ch] Makefile
-	echo "#define version_string \"0.49\"" > $@
+	echo "/* WARNING: this file is autogenerated by Makefile */" > $@
+	echo "/*   edit configure.in to set a new version number */" >> $@
+	echo "#define version_string \"0.52\"" >> $@
 	echo "#define release_string \"`date +%Y%m%d`\"" >> $@
 
 dist: include/version.h
-	echo gocr-0.49 > .fname
+	echo gocr-0.52 > .fname
 	-rm -rf `cat .fname`
 	mkdir `cat .fname`
 	# create subdirs, because cp -r bin/gocr.tcl jocr => jocr/gocr.tcl
@@ -137,7 +140,8 @@
 	cp `cat .fname`/include/config.h.in `cat .fname`/include/config.h
 	touch `cat .fname`/configure   # Makefile will be updated
 	tar chzf ../`cat .fname`.tar.gz `cat .fname`
-	-gpg -ab --default-key 0x53BDFBE3 ../`cat .fname`.tar.gz # .asc
+	# avoid popping up x11-gpg-agent: DISPLAY=""
+	-DISPLAY="" gpg -ab --default-key 0x53BDFBE3 ../`cat .fname`.tar.gz # .asc
 	ls -l ../`cat .fname`.tar.gz{,.asc}
 	-rm -rf `cat .fname` .fname
 
@@ -154,7 +158,8 @@
 	# -rm -rf jocr/CVS jocr/*/CVS jocr/*/*/CVS # CVS tree
 	-rm -rf jocr/Makefile jocr/src/Makefile jocr/include/config.h
 	tar chzf ../jocr.tgz jocr
-	-gpg -ab --default-key 0x53BDFBE3 ../jocr.tgz # .asc
+	# avoid popping up x11-gpg-agent
+	-DISPLAY="" gpg -ab --default-key 0x53BDFBE3 ../jocr.tgz # .asc
 	-cp ../jocr.tgz ../jocr.tgz.`date +%y%m%d` # backup, remove later
 	ls -l ../jocr.tgz{,.asc}
 	-rm -rf jocr
@@ -166,12 +171,12 @@
 rpm:
 	echo "%_topdir $(TRPM)" > ~/.rpmmacros
 	mkdir -p $(TRPM)/{SOURCES,SPECS,BUILD,RPMS,SRPMS}
-	sed "s/version.*[0-9]\.[0-9]*/version 0.49/"\
+	sed "s/version.*[0-9]\.[0-9]*/version 0.52/"\
 	 gocr.spec >$(TRPM)/SPECS/gocr.spec
-	cp ../gocr-0.49.tar.gz $(TRPM)/SOURCES
+	cp ../gocr-0.52.tar.gz $(TRPM)/SOURCES
 	#rpmbuild -ba --nobuild gocr.spec  # bin+src-rpm
 	(cd $(TRPM)/SPECS; rpmbuild -bb gocr.spec)
-	rpm -qil -p $(TRPM)/RPMS/i?86/gocr-0.49-*.i?86.rpm
+	rpm -qil -p $(TRPM)/RPMS/i?86/gocr-0.52-*.i?86.rpm
 
 # PHONY = don't look at file clean, -rm = start rm and ignore errors
 .PHONY : clean proper
@@ -190,4 +195,4 @@
 	$(MAKE) -C src/ proper
 	$(MAKE) -C doc proper
 	$(MAKE) -C examples/ proper
-	-rm -f gocr bin/gocr libPgm2asc.* out??.bmp
+	-rm -f gocr bin/gocr libPgm2asc.* out[0-9][0-9].{bmp,png}
