=== examples/Makefile ===
--- 
+++ 
@@ -5,6 +5,24 @@
 # Version: @(#)ImageMagick 4.1.6 99/01/01 cristy@mystic.es.dupont.com
 # Copyright: Copyright 1999 E. I. du Pont de Nemours and Company
 # ... hmm, convert seems to use a lot of memory, pnmcrop works better
+#
+# convert -size 640x200 xc:white -pointsize 80 -fill black\
+#  -font "FreeMono-Regular" 
+#  -draw 'text 2,80  "Hex-qEETWWMM"' 
+#  -draw 'text 2,160 "xQÖFig.queft"' a.png # x=36x34 M=(46+2)*46 mono=48
+# # -pointsize 14 -font "FreeMono-Regular"   # (2+2+6+3+1)x(7+1) 
+# # -pointsize 16 -font "FreeMono-Regular"   # (3+2+7+3+1)x(9+1) 
+# # -pointsize 20 -font "FreeMono-Regular"   # (3+3+9+4+1)x(12) 
+# # -pointsize 31 -font "FreeMono-Regular"   # (5+4+13+6+1)x(18+1)  WW
+# # -pointsize 50 -font "FreeMono-Regular"   # (7+8+23+8+4)x(29+1)  WW
+# # -pointsize 60 -font "FreeMono-Regular"   # (9+9+25+11+4)x(29+1)  MM
+#  O is 1 pix higher + 1 pix below XHM, W is 1 pix below XHM
+#  i-dot is -4 to 2 at FXH-top
+#   round chars have 1 pixel above top and below ground-line
+# dd if=/dev/urandom bs=57  count=1 status=noxfer 2>/dev/null|base64 # 77x1
+# dd if=/dev/urandom bs=285 count=1 status=noxfer 2>/dev/null|base64 # 77x5
+# convert -list font | grep Mono # grep Font
+#
 CROPPG = convert -crop 0x0+1+1
 
 .PHONY: all examples fonts install uninstall clean proper proper_old gif jpg png
@@ -17,8 +35,8 @@
 	echo " make [proper|clean] # remove non source stuff"
 
 examples: font21.pcx font22.pcx font23.pcx font24.pcx ex.pcx inverse.pcx\
- rotate45.pcx
-	ls -l *.pcx
+ rotate45.pcx rnd80.png
+	ls -l *.pcx *.png
 
 examples_tex: text.pbm font0.pbm font1.pbm font2.pbm polish.pbm man.pbm
 # what about small.pbm? anyone remember?
@@ -144,7 +162,7 @@
 # shell: 
 proper: clean
 	-rm -f ./font2[1234].{p[bgp]m,pcx,png,gif,jpg}
-	-rm -f $(figobj)
+	-rm -f $(figobj) rnd80.png.txt rnd80.png
 
 proper_old:
 	# -rm -f ./{ex,inverse,rotate45,font2[1234]}.{p[bgpna]m,pcx,png,gif,jpg}
@@ -161,6 +179,23 @@
 jpg: $(patsubst %.fig,%.jpg,$(wildcard *.fig))
 	ls -l *.jpg
 
+# added 2018-09 285=57chars/line*5lines
+rnd80.png.txt:
+	dd if=/dev/urandom bs=285 count=1 status=noxfer 2>/dev/null\
+ | base64 > $@
+
+# convert -list font | grep Font # ToDo: try others Liberation-Mono-Regular ...
+#   Nimbus-Mono-Regular DejaVu-Sans-Mono-Book Droid-Sans-Mono-Regular
+#   Liberation-Mono-Regular  # small chars are artificial wided
+rnd80.png: rnd80.png.txt
+	convert -size 3800x600 xc:white -pointsize 80 -fill black\
+ -font "FreeMono-Regular"\
+ -draw "text 2,80  \"$(shell head -1 <rnd80.png.txt)\""\
+ -draw "text 2,160 \"$(shell head -2 <rnd80.png.txt| tail -1)\""\
+ -draw "text 2,240 \"$(shell head -3 <rnd80.png.txt| tail -1)\""\
+ -draw "text 2,320 \"$(shell head -4 <rnd80.png.txt| tail -1)\""\
+ -draw "text 2,400 \"$(shell head -5 <rnd80.png.txt| tail -1)\"" $@ # x=36x34 M=(46+2)*46 mono=48
+
 install:
 
 uninstall:
