=== man/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PROGRAM = gocr
 
-mandir = ${prefix}/man
+mandir = ${prefix}/share/man
 
 INSTALL=/usr/bin/install -c
 DESTDIR=/usr/local
