=== debian/changelog ===
gocr (0.52-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 0.48-1, 0.3.4-4, 0.2.7-2.
  * Apply multi-arch hints. + libpgm2asc0.52: Add Multi-Arch: same.

  [ Andrius Merkys ]
  * Build depend on libnetpbm-dev instead of libnetpbm11-dev (Closes: #1028899)
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 16 Jan 2023 03:54:18 -0500

gocr (0.52-5) unstable; urgency=medium

  * Run build time tests.
  * Add autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 Aug 2022 03:14:03 -0400

gocr (0.52-4) unstable; urgency=medium

  * New maintainer (Closes: #974153). Thanks Gürkan Myczko for your work!
  * Bump debhelper-compat (no changes).
  * Remove build depends on autotools-dev (already satisfied).
  * Provide shared library for libpgm2asc. (Closes: #962787, #1014337)
  * Rename gocr-dev to libpgm2asc-dev.
  * Provide config.h in libpgm2asc-dev. (Closes: #1014165)
  * Disable parallel builds as they sometimes fail.
  * Build using libnetpbm11-dev.
  * Clean up package dependencies.
  * Add watch file.
  * Rename debian/NEWS.Debian to debian/NEWS, fix syntax problems.

 -- Andrius Merkys <merkys@debian.org>  Tue, 23 Aug 2022 01:53:53 -0400

gocr (0.52-3) unstable; urgency=medium

  * debian/control: move the xli Depends to the right binary package.
    (Closes: #935291)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 02 Sep 2019 17:20:38 +0200

gocr (0.52-2) unstable; urgency=medium

  * debian/control: add xli to Depends. (LP: #364859)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Aug 2019 13:17:45 +0200

gocr (0.52-1) unstable; urgency=medium

  * New upstream version. (Closes: #743719, #877087, #293727)
  * Add myself as Uploaders. (Closes: #846818)
  * debian/patches: dropped them all.
  * debian/rules: update to install changelog. (Closes: #596858)
  * Patched upstream manual page to refer to right package. (Closes: #676856)
  * New binary package, gocr-dev. (Closes: #582575)
  * debian/copyright: made machine readable, updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 24 Jan 2019 13:20:02 +0100

gocr (0.49-2) unstable; urgency=low

  * Use tk instead of tk8.5 (Closes: Bug#725690)

 -- Cosimo Alfarano <kalfa@debian.org>  Thu, 04 Sep 2014 09:36:38 +0100
