=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- all libs

override_dh_auto_test:
	bin/gocr_chk.sh

override_dh_install:
	mv $(CURDIR)/debian/tmp/bin/gocr.tcl $(CURDIR)/debian/tmp/bin/gocr-tk
	ln -fs libPgm2asc.so.0.52 $(CURDIR)/debian/tmp/libPgm2asc.so
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs HISTORY
