=== debian/tests/control ===
Test-Command: bin/gocr_chk.sh
Depends:
 bzip2,
 gocr,
 libjpeg-progs,
 netpbm,
