=== debian/watch ===
version=4
https://www-e.uni-magdeburg.de/jschulen/ocr/download.html \
 http://www-e.uni-magdeburg.de/jschulen/ocr/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
